BEGIN
	DECLARE
		@accountPageConfig VARBINARY(MAX),
		@contactPageConfig VARBINARY(MAX),
		@opportunityPageConfig VARBINARY(MAX),
		@stPackagesFound INT,
		@scPackagesFound INT,
		@sePackagesFound INT,
		@mPackagesFound INT,
		@seePackagesFound INT,
		@ccPackagesFound INT;
	
	SET @stPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'SalesTeam');
	SET @scPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'SalesCommerce');
	SET @sePackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'SalesEnterprise');
	SET @mPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'MarketingCampaign');
	SET @seePackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'ServiceEnterpriseDefSettings');
	SET @ccPackagesFound = (SELECT COUNT(*) FROM SysPackage WHERE Name = 'CustomerCenterSoftkey');
	
	IF (@scPackagesFound > 0 AND @mPackagesFound > 0 AND @ccPackagesFound > 0) -- SalesCommerce_Marketing_CustomerCenter
	BEGIN
		SET @accountPageConfig = CAST('[
			  {
				"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
				"entitySchemaName": "Activity",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
				"entitySchemaName": "Activity",
				"typeColumnName": "Type",
				"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
				"entitySchemaName": "Call",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
				"entitySchemaName": "SocialMessage",
				"referenceColumnName": "EntityId",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
				"entitySchemaName": "AccountFile",
				"typeColumnName": "Type",
				"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
				"entitySchemaName": "AccountFile",
				"typeColumnName": "Type",
				"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
				"entitySchemaName": "Case",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
				"entitySchemaName": "Lead",
				"referenceColumnName": "QualifiedAccount",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
				"entitySchemaName": "Invoice",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
				"entitySchemaName": "Order",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "97ef4007-42dd-46d8-9578-a7743841246d",
				"entitySchemaName": "Contract",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  },
			  {
				"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
				"entitySchemaName": "Document",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			  }
			]' AS VARBINARY(MAX));
		SET @contactPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Call",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"referenceColumnName": "EntityId",
			"entitySchemaName": "SocialMessage",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Case",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
	END;
	
	IF (@sePackagesFound > 0 AND @mPackagesFound > 0 AND @ccPackagesFound > 0) -- SalesEnterprise_Marketing_CustomerCenter
	BEGIN
		SET @accountPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "AccountFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"entitySchemaName": "Case",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
			"entitySchemaName": "Lead",
			"referenceColumnName": "QualifiedAccount",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
			"entitySchemaName": "Opportunity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
			"entitySchemaName": "Invoice",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
			"entitySchemaName": "Order",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Account",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "AccountFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "97ef4007-42dd-46d8-9578-a7743841246d",
			"entitySchemaName": "Contract",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "614fd9bf-4401-47a4-800c-ff4a4b9733ef",
			"entitySchemaName": "Project",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @contactPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Call",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"referenceColumnName": "EntityId",
			"entitySchemaName": "SocialMessage",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Case",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @opportunityPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "OpportunityFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
			"entitySchemaName": "Invoice",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
			"entitySchemaName": "Order",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Opportunity",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "OpportunityFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
	END;
	
	IF (@sePackagesFound > 0 AND @mPackagesFound > 0 AND @seePackagesFound > 0) -- SalesEnterprise_Marketing_ServiceEnterprise
	BEGIN
		SET @accountPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "AccountFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
			"entitySchemaName": "Lead",
			"referenceColumnName": "QualifiedAccount",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
			"entitySchemaName": "Opportunity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
			"entitySchemaName": "Invoice",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
			"entitySchemaName": "Order",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Account",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "AccountFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "97ef4007-42dd-46d8-9578-a7743841246d",
			"entitySchemaName": "Contract",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "614fd9bf-4401-47a4-800c-ff4a4b9733ef",
			"entitySchemaName": "Project",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"entitySchemaName": "Case",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @contactPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "ContactFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"entitySchemaName": "ContactFile",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"entitySchemaName": "Case",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
			"entitySchemaName": "Lead",
			"referenceColumnName": "QualifiedContact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
			"entitySchemaName": "Opportunity",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
			"entitySchemaName": "Invoice",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
			"entitySchemaName": "Order",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "97ef4007-42dd-46d8-9578-a7743841246d",
			"entitySchemaName": "Contract",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "614fd9bf-4401-47a4-800c-ff4a4b9733ef",
			"entitySchemaName": "Project",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @opportunityPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "OpportunityFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "784c75e8-cb7d-4d24-bb95-79ccfe233f74",
			"entitySchemaName": "Invoice",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0ef5bd15-f3d3-4673-8af7-f2e61bc44cf0",
			"entitySchemaName": "Order",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Opportunity",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "OpportunityFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
	END;
	
	IF (@stPackagesFound > 0 AND @mPackagesFound > 0) -- SalesTeam_Marketing
	BEGIN
		SET @accountPageConfig = CAST('[
			{
				"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
				"entitySchemaName": "Activity",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
				"entitySchemaName": "Activity",
				"typeColumnName": "Type",
				"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
				"entitySchemaName": "Call",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
				"entitySchemaName": "SocialMessage",
				"referenceColumnName": "EntityId",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
				"entitySchemaName": "AccountFile",
				"typeColumnName": "Type",
				"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
				"entitySchemaName": "AccountFile",
				"typeColumnName": "Type",
				"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
				"entitySchemaName": "Lead",
				"referenceColumnName": "QualifiedAccount",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
				"entitySchemaName": "Opportunity",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
				"entitySchemaName": "Document",
				"referenceColumnName": "Account",
				"masterRecordColumnName": "Id"
			} 
		]' AS VARBINARY(MAX));
		SET @contactPageConfig = CAST('[
			{
				"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
				"entitySchemaName": "Activity",
				"referenceColumnName": "[ActivityParticipant:Activity].Participant",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
				"entitySchemaName": "Activity",
				"typeColumnName": "Type",
				"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
				"referenceColumnName": "[ActivityParticipant:Activity].Participant",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
				"entitySchemaName": "Call",
				"referenceColumnName": "Contact",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
				"entitySchemaName": "SocialMessage",
				"referenceColumnName": "EntityId",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
				"entitySchemaName": "ContactFile",
				"typeColumnName": "Type",
				"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Contact",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
				"entitySchemaName": "ContactFile",
				"typeColumnName": "Type",
				"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
				"referenceColumnName": "Contact",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
				"entitySchemaName": "Lead",
				"referenceColumnName": "QualifiedContact",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
				"entitySchemaName": "Opportunity",
				"referenceColumnName": "Contact",
				"masterRecordColumnName": "Id"
			},
			{
				"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
				"entitySchemaName": "Document",
				"referenceColumnName": "Contact",
				"masterRecordColumnName": "Id"
			} 
		]' AS VARBINARY(MAX));
		SET @opportunityPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "OpportunityFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Opportunity",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "OpportunityFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
	END;
	
	IF (@stPackagesFound > 0 AND @mPackagesFound > 0 AND @ccPackagesFound > 0) -- SalesTeam_Marketing_CustomerCenter
	BEGIN
		SET @accountPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "AccountFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"entitySchemaName": "AccountFile",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"entitySchemaName": "Case",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "26d211f2-dcbb-4df8-bc17-32e316c73e78",
			"entitySchemaName": "Lead",
			"referenceColumnName": "QualifiedAccount",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "0bb69933-4ddc-4d89-88c6-ee1d33048e30",
			"entitySchemaName": "Opportunity",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Account",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @contactPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"referenceColumnName": "[ActivityParticipant:Activity].Participant",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"entitySchemaName": "Activity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Call",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"referenceColumnName": "EntityId",
			"entitySchemaName": "SocialMessage",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "7075000f-1fa7-47be-8cb5-623345cfec84",
			"referenceColumnName": "Contact",
			"entitySchemaName": "Case",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Contact",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "ContactFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Contact",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
		SET @opportunityPageConfig = CAST('[
		  {
			"entityConfigKey": "706f803d-6a30-4bcd-88e8-36a0e722ea41",
			"entitySchemaName": "Activity",			
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a70391-b767-40ab-97b8-6d1b538adbe6",
			"entitySchemaName": "Activity",
			"typeColumnName": "Type",
			"typeColumnValue": "e2831dec-cfc0-df11-b00f-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "aeca6df0-5c89-4066-bdfa-eff486ae8fed",
			"entitySchemaName": "Call",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "35b5c45f-36e7-450f-a282-81c56624d29e",
			"entitySchemaName": "SocialMessage",
			"referenceColumnName": "EntityId",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "59de07a7-28dd-4dc9-a106-a07cb9981423",
			"entitySchemaName": "OpportunityFile",
			"typeColumnName": "Type",
			"typeColumnValue": "529bc2f8-0ee0-df11-971b-001d60e938c6",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "09a6dad5-036b-4075-a813-e8278a5360ea",
			"referenceColumnName": "Opportunity",
			"typeColumnName": "Type",
			"typeColumnValue": "539bc2f8-0ee0-df11-971b-001d60e938c6",
			"entitySchemaName": "OpportunityFile",
			"masterRecordColumnName": "Id"
		  },
		  {
			"entityConfigKey": "a5900576-dca5-4d82-aed3-91c8909a3028",
			"entitySchemaName": "Document",
			"referenceColumnName": "Opportunity",
			"masterRecordColumnName": "Id"
		  }
		]' AS VARBINARY(MAX));
	END;
	
	IF (@accountPageConfig IS NOT NULL)
	BEGIN
		MERGE INTO dbo.TimelinePageSetting t1 USING (SELECT 1 id) t2 ON (t1.[Key] = N'AccountPageV2')
		WHEN MATCHED THEN UPDATE SET Data = @accountPageConfig
		WHEN NOT MATCHED THEN INSERT ([Key], Data) VALUES (N'AccountPageV2', @accountPageConfig);
	END;
	
	IF (@contactPageConfig IS NOT NULL)
	BEGIN
		MERGE INTO dbo.TimelinePageSetting t1 USING (SELECT 1 id) t2 ON (t1.[Key] = N'ContactPageV2')
		WHEN MATCHED THEN UPDATE SET Data = @contactPageConfig
		WHEN NOT MATCHED THEN INSERT ([Key], Data) VALUES (N'ContactPageV2', @contactPageConfig);
	END;

  IF (@opportunityPageConfig IS NOT NULL)
	BEGIN
		MERGE INTO dbo.TimelinePageSetting t1 USING (SELECT 1 id) t2 ON (t1.[Key] = N'OpportunityPageV2')
		WHEN MATCHED THEN UPDATE SET Data = @opportunityPageConfig
		WHEN NOT MATCHED THEN INSERT ([Key], Data) VALUES (N'OpportunityPageV2', @opportunityPageConfig);
	END;
END;
GO
