IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

DECLARE @sqlText NVARCHAR(MAX);
DECLARE @RecordId UNIQUEIDENTIFIER;
DECLARE	@TableName SYSNAME;
DECLARE tableNameCursor CURSOR LOCAL FOR
	SELECT DISTINCT
		tmp.TableName
	FROM tmp_OperationData tmp
	JOIN sys.tables t ON t.name = tmp.TableName
	ORDER BY tmp.TableName;
OPEN tableNameCursor;
FETCH NEXT FROM tableNameCursor INTO @TableName;
WHILE @@FETCH_STATUS = 0
BEGIN
	PRINT 'Clear table ' + QUOTENAME(@TableName);
	DECLARE recordIdCursor CURSOR LOCAL FOR
		SELECT
			RecordId
		FROM tmp_OperationData
		WHERE TableName = @TableName;
	OPEN recordIdCursor;
	FETCH NEXT FROM recordIdCursor INTO @RecordId;
	WHILE @@FETCH_STATUS = 0
	BEGIN
		SET @sqlText = CONCAT('DELETE FROM ', QUOTENAME(@TableName), ' WHERE Id = ', QUOTENAME(@RecordId, ''''));
		BEGIN TRY
			PRINT @sqlText;
			EXEC (@sqlText);
		END TRY
		BEGIN CATCH
			PRINT 'There is some problem with SQL "' + @sqlText + '"';
			PRINT ERROR_MESSAGE();
		END CATCH
		FETCH NEXT FROM recordIdCursor INTO @RecordId;
	END
	CLOSE recordIdCursor;
	DEALLOCATE recordIdCursor;
	FETCH NEXT FROM tableNameCursor INTO @TableName;
END
CLOSE tableNameCursor;
DEALLOCATE tableNameCursor;

IF OBJECT_ID('tmp_OperationData') IS NOT NULL
	DROP TABLE tmp_OperationData;